if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
interface MyDialog_Params {
    controller?: CustomDialogController;
    dialogTitle?: string;
}
export class MyDialog extends ViewPU {
    constructor(parent, params, __localStorage, elmtId = -1, paramsLambda = undefined, extraInfo) {
        super(parent, __localStorage, elmtId, extraInfo);
        if (typeof paramsLambda === "function") {
            this.paramsGenerator_ = paramsLambda;
        }
        this.controller = undefined;
        this.__dialogTitle = new ObservedPropertySimplePU('自定义弹框', this, "dialogTitle");
        this.setInitiallyProvidedValue(params);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(params: MyDialog_Params) {
        if (params.controller !== undefined) {
            this.controller = params.controller;
        }
        if (params.dialogTitle !== undefined) {
            this.dialogTitle = params.dialogTitle;
        }
    }
    updateStateVars(params: MyDialog_Params) {
    }
    purgeVariableDependenciesOnElmtId(rmElmtId) {
        this.__dialogTitle.purgeDependencyOnElmtId(rmElmtId);
    }
    aboutToBeDeleted() {
        this.__dialogTitle.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    private controller: CustomDialogController;
    setController(ctr: CustomDialogController) {
        this.controller = ctr;
    }
    private __dialogTitle: ObservedPropertySimplePU<string>;
    get dialogTitle() {
        return this.__dialogTitle.get();
    }
    set dialogTitle(newValue: string) {
        this.__dialogTitle.set(newValue);
    }
    initialRender() {
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Column.create();
        }, Column);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create(this.dialogTitle);
            Text.fontSize(17);
            Text.margin({ top: 20 });
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Column.create();
            Column.margin({ left: 12, right: 12, top: 12 });
        }, Column);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create('姓名');
            Text.fontSize(14);
            Text.margin({ top: 20, left: 10 });
            Text.width('100%');
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            TextInput.create({ placeholder: '姓名' });
            TextInput.fontSize(14);
            TextInput.backgroundColor('#F6F6F6');
            TextInput.padding({ left: 10 });
            TextInput.borderRadius(4);
            TextInput.margin({ top: 10 });
            TextInput.onChange((value: string) => {
            });
        }, TextInput);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create('姓名');
            Text.fontSize(14);
            Text.margin({ top: 20, left: 10 });
            Text.width('100%');
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            TextInput.create({ placeholder: '姓名' });
            TextInput.fontSize(14);
            TextInput.backgroundColor('#F6F6F6');
            TextInput.padding({ left: 10 });
            TextInput.borderRadius(4);
            TextInput.margin({ top: 10 });
            TextInput.onChange((value: string) => {
            });
        }, TextInput);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create('姓名');
            Text.fontSize(14);
            Text.margin({ top: 20, left: 10 });
            Text.width('100%');
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            TextInput.create({ placeholder: '姓名' });
            TextInput.fontSize(14);
            TextInput.backgroundColor('#F6F6F6');
            TextInput.padding({ left: 10 });
            TextInput.borderRadius(4);
            TextInput.margin({ top: 10 });
            TextInput.onChange((value: string) => {
            });
        }, TextInput);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create('姓名');
            Text.fontSize(14);
            Text.margin({ top: 20, left: 10 });
            Text.width('100%');
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            TextInput.create({ placeholder: '姓名' });
            TextInput.fontSize(14);
            TextInput.backgroundColor('#F6F6F6');
            TextInput.padding({ left: 10 });
            TextInput.borderRadius(4);
            TextInput.margin({ top: 10 });
            TextInput.onChange((value: string) => {
            });
        }, TextInput);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create('姓名');
            Text.fontSize(14);
            Text.margin({ top: 20, left: 10 });
            Text.width('100%');
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            TextInput.create({ placeholder: '姓名' });
            TextInput.fontSize(14);
            TextInput.backgroundColor('#F6F6F6');
            TextInput.padding({ left: 10 });
            TextInput.borderRadius(4);
            TextInput.margin({ top: 10 });
            TextInput.onChange((value: string) => {
            });
        }, TextInput);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create('这个输入框就会被键盘遮挡');
            Text.fontSize(14);
            Text.margin({ top: 20, left: 10 });
            Text.width('100%');
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            TextInput.create({ placeholder: '这个输入框就会被键盘遮挡' });
            TextInput.fontSize(14);
            TextInput.backgroundColor('#F6F6F6');
            TextInput.padding({ left: 10 });
            TextInput.borderRadius(4);
            TextInput.margin({ top: 10 });
            TextInput.onChange((value: string) => {
            });
        }, TextInput);
        Column.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Button.createWithLabel('确定');
            Button.width(200);
            Button.margin({ top: 20, bottom: 16 });
            Button.onClick(() => {
                this.controller.close();
            });
        }, Button);
        Button.pop();
        Column.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
}
